Package org.eclipse.zest.layouts.dataStructures

# Class BendPoint

java.lang.Object
org.eclipse.zest.layouts.dataStructures.DisplayIndependentPoint
org.eclipse.zest.layouts.dataStructures.BendPoint

All Implemented Interfaces:
  `LayoutBendPoint`

@Deprecated(since="2.0", forRemoval=true) public class BendPoint extends DisplayIndependentPoint implements LayoutBendPoint
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release.
Implements a single bend point in a graph relationship.

@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Field Summary

### Fields inherited from class org.eclipse.zest.layouts.dataStructures.DisplayIndependentPoint

`x, y`

## Constructor Summary

Constructors
Constructor
Description
`BendPoint(double x, double y)`
Deprecated.
`BendPoint(double x, double y, boolean isControlPoint)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getIsControlPoint()`
Deprecated.
`double`
`getX()`
Deprecated.
`double`
`getY()`
Deprecated.
`void`
`setX(double x)`
Deprecated.
`void`
`setY(double y)`
Deprecated.

### Methods inherited from class org.eclipse.zest.layouts.dataStructures.DisplayIndependentPoint

`convert, convertFromPercent, convertToPercent, equals, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BendPoint

@Deprecated public BendPoint(double x, double y)
Deprecated.

### BendPoint

@Deprecated public BendPoint(double x, double y, boolean isControlPoint)
Deprecated.

## Method Details

### getX

@Deprecated public double getX()
Deprecated.

Specified by:
  `getX` in interface `LayoutBendPoint`

### getY

@Deprecated public double getY()
Deprecated.

Specified by:
  `getY` in interface `LayoutBendPoint`

### setX

@Deprecated public void setX(double x)
Deprecated.

### setY

@Deprecated public void setY(double y)
Deprecated.

### getIsControlPoint

@Deprecated public boolean getIsControlPoint()
Deprecated.

Specified by:
  `getIsControlPoint` in interface `LayoutBendPoint`